"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const shared_esmBundler = require("../../../@vue/shared/dist/shared.esm-bundler.js");
const unique = (arr) => [...new Set(arr)];
const extractFirst = (arr) => {
  return shared_esmBundler.isArray(arr) ? arr[0] : arr;
};
const castArray = (arr) => {
  if (!arr && arr !== 0) return [];
  return shared_esmBundler.isArray(arr) ? arr : [arr];
};
exports.castArray = castArray;
exports.extractFirst = extractFirst;
exports.unique = unique;
